Subject: Re: bug#77580: [PATCH] New command ediff-undo

From: Juri Linkov <[email-masked]>
Date: Thu, 10 Apr 2025 19:01:31 +0300

> In practice, I've just spammed C-u enough times.  I considered allowing
> a negative argument to signal "undo everything", which would be most
> useful with an active region; how does that sound?

To me a negative argument would be the most important feature
of the new command 'diff-with-undo'.  Let me explain my workflow:
sometimes I open a file with uncommitted changes and make
more changes before committing it, but then later discover that
some changes were wrong, so need to revert to the previous state.

There is no other command to do this: 'vc-diff' includes other
uncommitted changes from other editing sessions, there is no backup for
'diff-backup', 'diff-buffer-with-file' can't compare the saved buffer.

So a negative argument for 'diff-with-undo' would be perfect to show
a diff with all recent changes.  Then could reverse the diff and remove
some hunks by applying them from the reverse diff, etc.